%define upstream_name       Text-Query
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10
Summary:	Query processing framework
License:	GPL or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source:     https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:	noarch


%description
This module provides an object that matches a data source against a query
expression.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
make test

%files
%doc ChangeLog README
%{perl_vendorlib}/Text
%{_mandir}/*/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.90.0-10.mga10
+ Revision: 2201060
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.90.0-9.mga9
+ Revision: 1806382
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.90.0-8.mga8
+ Revision: 1497727
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.90.0-7.mga7
+ Revision: 1272128
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.90.0-6.mga6
+ Revision: 1035073
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.90.0-5.mga6
+ Revision: 930031
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-4.mga5
+ Revision: 739294
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-3.mga5
+ Revision: 686644
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.90.0-2.mga4
+ Revision: 531959
- Mageia 4 Mass Rebuild

* Tue Aug 13 2013 sander85 <sander85> 0.90.0-1.mga4
+ Revision: 466135
- update to 0.09
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.70.0-6.mga1
+ Revision: 27155
- mageia rebuild
- imported package perl-Text-Query


* Thu Aug 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.70.0-6mdv2010.0
+ Revision: 418439
- fix build
- use new perl version macro

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 0.07-3mdv2008.0
+ Revision: 23641
- rebuild


* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.07-2mdk
- Fix SPEC according to Perl Policy
	- Source URL
- use mkrel

* Fri Jun 17 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdk 
- first mdk release

